# Uses of Enum Class
javafx.scene.effect.BlendMode

Packages that use BlendMode
Package
Description
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.canvas
Provides the set of classes for canvas, an immediate mode style of rendering API.
javafx.scene.effect
Provides the set of classes for attaching graphical filter effects to JavaFX Scene Graph Nodes.

## Uses of BlendMode in javafx.scene

Methods in javafx.scene that return BlendMode
Modifier and Type
Method
Description
`final BlendMode`
Node.`getBlendMode()`
Gets the value of the `blendMode` property.
Methods in javafx.scene that return types with arguments of type BlendMode
Modifier and Type
Method
Description
`final ObjectProperty<BlendMode>`
Node.`blendModeProperty()`
The `BlendMode` used to blend this individual node into the scene behind it.
Methods in javafx.scene with parameters of type BlendMode
Modifier and Type
Method
Description
`final void`
Node.`setBlendMode(BlendMode value)`
Sets the value of the `blendMode` property.

## Uses of BlendMode in javafx.scene.canvas

Methods in javafx.scene.canvas that return BlendMode
Modifier and Type
Method
Description
`BlendMode`
GraphicsContext.`getGlobalBlendMode()`
Gets the global blend mode.
Methods in javafx.scene.canvas with parameters of type BlendMode
Modifier and Type
Method
Description
`void`
GraphicsContext.`setGlobalBlendMode(BlendMode op)`
Sets the global blend mode.

## Uses of BlendMode in javafx.scene.effect

Methods in javafx.scene.effect that return BlendMode
Modifier and Type
Method
Description
`final BlendMode`
Blend.`getMode()`
Gets the value of the `mode` property.
`static BlendMode`
BlendMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BlendMode[]`
BlendMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.effect that return types with arguments of type BlendMode
Modifier and Type
Method
Description
`final ObjectProperty<BlendMode>`
Blend.`modeProperty()`
The `BlendMode` used to blend the two inputs together.
Methods in javafx.scene.effect with parameters of type BlendMode
Modifier and Type
Method
Description
`final void`
Blend.`setMode(BlendMode value)`
Sets the value of the `mode` property.
Constructors in javafx.scene.effect with parameters of type BlendMode
Modifier
Constructor
Description
``
`Blend(BlendMode mode)`
Creates a new instance of Blend with the specified mode.
``
`Blend(BlendMode mode, Effect bottomInput, Effect topInput)`
Creates a new instance of Blend with the specified mode and bottom and top inputs.